## org.eclipse.emf.mapping
Interface Mapping

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  Ecore2EcoreMappingRoot, MappingRoot

All Known Implementing Classes:
  Ecore2EcoreMappingRootImpl, MappingImpl, MappingRootImpl

    public interface Mapping

extends EObject

A representation of the model object 'Mapping'.

The following features are supported:

- `Helper`
- `Nested`
- `Nested In`
- `Inputs`
- `Outputs`
- `Type Mapping`

See Also:
  `MappingPackage.getMapping()`

Method Summary
`EList<EObject>` `getBottoms()` This returns the same as either `getInputs()` or `getOutputs()` depending on the mapping root's isTopToBottom.
`MappingHelper` `getEffectiveHelper()` This returns the mapping helper for this mapping, if it has one.
`MappingHelper` `getHelper()` Returns the value of the 'Helper' containment reference.
`EList<EObject>` `getInputs()` Returns the value of the 'Inputs' reference list.
`java.util.Collection<? extends EObject>` `getMappedObjects()` This returns a set containing the results of `getInputs()` and `getOutputs()`.
`MappingRoot` `getMappingRoot()` This returns either the containing mapping root or the object itself, if it is a mapping root.
`EList<Mapping>` `getNested()` Returns the value of the 'Nested' containment reference list.
`Mapping` `getNestedIn()` Returns the value of the 'Nested In' container reference.
`EList<EObject>` `getOutputs()` Returns the value of the 'Outputs' reference list.
`EList<EObject>` `getReceivers()` This returns the same as `getOutputs()` if `isReverse()` returns false.
`EList<EObject>` `getSenders()` This returns the same as `getInputs()` if `isReverse()` returns false.
`EList<EObject>` `getTops()` This returns the same as either `getInputs()` or `getOutputs()` depending on the mapping root's isTopToBottom.
`Mapping` `getTypeMapping()` Returns the value of the 'Type Mapping' reference
`boolean` `isReverse()` This method is delegated to the containing mapping if one exists, or returns false otherwise.
`void` `setHelper(MappingHelper value)` Sets the value of the '`Helper`' containment reference
`void` `setNestedIn(Mapping value)` Sets the value of the '`Nested In`' container reference
`void` `setTypeMapping(Mapping value)` Sets the value of the '`Type Mapping`' reference
`TreeIterator<Mapping>` `treeIterator()` This returns a tree iterator that iterates over this mapping, all it's nested mappings, and their nested mappings, and so on.
`TreeIterator<Mapping>` `treeIterator(boolean includeRoot)` This returns a tree iterator that iterates over this mapping (but only if includeRoot is true), all it's nested mappings, and their nested mappings, and so on.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getHelper

    MappingHelper getHelper()

  Returns the value of the 'Helper' containment reference. It is bidirectional and its opposite is '`Mapper`'.

  Returns:
    the value of the 'Helper' containment reference.
  See Also:
    `setHelper(MappingHelper)`, `MappingPackage.getMapping_Helper()`, `MappingHelper.getMapper()`

### setHelper

    void setHelper(MappingHelper value)

  Sets the value of the '`Helper`' containment reference.

  Parameters:
    `value` - the new value of the 'Helper' containment reference.
  See Also:
    `getHelper()`

### getNested

    EList<Mapping> getNested()

  Returns the value of the 'Nested' containment reference list. The list contents are of type `Mapping`. It is bidirectional and its opposite is '`Nested In`'.

  Returns:
    the value of the 'Nested' containment reference list.
  See Also:
    `MappingPackage.getMapping_Nested()`, `getNestedIn()`

### getNestedIn

    Mapping getNestedIn()

  Returns the value of the 'Nested In' container reference. It is bidirectional and its opposite is '`Nested`'.

  Returns:
    the value of the 'Nested In' container reference.
  See Also:
    `setNestedIn(Mapping)`, `MappingPackage.getMapping_NestedIn()`, `getNested()`

### setNestedIn

    void setNestedIn(Mapping value)

  Sets the value of the '`Nested In`' container reference.

  Parameters:
    `value` - the new value of the 'Nested In' container reference.
  See Also:
    `getNestedIn()`

### getInputs

    EList<EObject> getInputs()

  Returns the value of the 'Inputs' reference list. The list contents are of type `EObject`.

  Returns:
    the value of the 'Inputs' reference list.
  See Also:
    `MappingPackage.getMapping_Inputs()`

### getOutputs

    EList<EObject> getOutputs()

  Returns the value of the 'Outputs' reference list. The list contents are of type `EObject`.

  Returns:
    the value of the 'Outputs' reference list.
  See Also:
    `MappingPackage.getMapping_Outputs()`

### getTypeMapping

    Mapping getTypeMapping()

  Returns the value of the 'Type Mapping' reference.

  Returns:
    the value of the 'Type Mapping' reference.
  See Also:
    `setTypeMapping(Mapping)`, `MappingPackage.getMapping_TypeMapping()`

### setTypeMapping

    void setTypeMapping(Mapping value)

  Sets the value of the '`Type Mapping`' reference.

  Parameters:
    `value` - the new value of the 'Type Mapping' reference.
  See Also:
    `getTypeMapping()`

### getMappedObjects

    java.util.Collection<? extends EObject> getMappedObjects()

  This returns a set containing the results of `getInputs()` and `getOutputs()`.

### getTops

    EList<EObject> getTops()

  This returns the same as either `getInputs()` or `getOutputs()` depending on the mapping root's isTopToBottom.

### getBottoms

    EList<EObject> getBottoms()

  This returns the same as either `getInputs()` or `getOutputs()` depending on the mapping root's isTopToBottom.

### getMappingRoot

    MappingRoot getMappingRoot()

  This returns either the containing mapping root or the object itself, if it is a mapping root.

### isReverse

    boolean isReverse()

  This method is delegated to the containing mapping if one exists, or returns false otherwise. Subclasses can override this method to return true when the logical direction of a mapping is reversed (i.e., from outputs to inputs).

### getSenders

    EList<EObject> getSenders()

  This returns the same as `getInputs()` if `isReverse()` returns false. Otherwise it returns the same as `getOutputs()`.

### getReceivers

    EList<EObject> getReceivers()

  This returns the same as `getOutputs()` if `isReverse()` returns false. Otherwise it returns the same as `getInputs()`.

### getEffectiveHelper

    MappingHelper getEffectiveHelper()

  This returns the mapping helper for this mapping, if it has one. Otherwise, if the mapping has an associated type mapping it returns the type mapping's helper.

### treeIterator

    TreeIterator<Mapping> treeIterator()

  This returns a tree iterator that iterates over this mapping, all it's nested mappings, and their nested mappings, and so on.

### treeIterator

    TreeIterator<Mapping> treeIterator(boolean includeRoot)

  This returns a tree iterator that iterates over this mapping (but only if includeRoot is true), all it's nested mappings, and their nested mappings, and so on.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.